AudioRecChunk (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.aiff
Class AudioRecChunk

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.iff.Chunk
          edu.harvard.hul.ois.jhove.module.aiff.AudioRecChunk

    public class AudioRecChunk

extends Chunk

Implementation of the AIFF Audio Recording Chunk. The data bytes are put into an uninterpreted byte array Property. These are specified in the AES Recommended Practice for Digital Audio Engineering - Serial Transmission Format for Linearly Represented Digital Audio Data, Section 7.1, Channel Status Data.

Author:
  Gary McGath

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.iff.Chunk
`_dstream, _module, bytesLeft`

Constructor Summary
`AudioRecChunk(AiffModule module, ChunkHeader hdr, java.io.DataInputStream dstrm)` Constructor.

Method Summary
`boolean` | `readChunk(RepInfo info)` Reads a chunk and puts an AudioRecording property into the RepInfo object.

Methods inherited from class edu.harvard.hul.ois.jhove.module.iff.Chunk
`byteBufString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AudioRecChunk

    public AudioRecChunk(AiffModule module,
                         ChunkHeader hdr,
                         java.io.DataInputStream dstrm)

  Constructor.

  Parameters:
    `module` - The AIFFModule under which this was called
    `hdr` - The header for this chunk
    `dstrm` - The stream from which the AIFF data are being read

Method Detail

### readChunk

    public boolean readChunk(RepInfo info)
                      throws java.io.IOException

  Reads a chunk and puts an AudioRecording property into the RepInfo object.

  Specified by:
    `readChunk` in class `Chunk`
  Parameters:
    `info` - RepInfo object to receive information
  Returns:
    `false` if the chunk is structurally invalid, otherwise `true`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD